# Generated by rust2rpm 24
Summary:        Tool for generating C bindings to Rust code
Name:           rust-cbindgen
Version:        0.24.3
Release:        4%{?dist}
License:        MIT
Vendor:         Microsoft Corporation
Distribution:   Azure Linux
URL:            https://github.com/mozilla/cbindgen
Source:         %{url}/archive/refs/tags/v0.24.3.tar.gz#/%{name}-%{version}.tar.gz
# Below is a manually created tarball, no download link.
# Note: the cbindgen-%%{version}-cargo.tar.gz file contains a cache created by capturing the contents downloaded into $CARGO_HOME.
# To update the cache and config.toml run:
#   tar -xf %{name}-%{version}.tar.gz
#   cargo vendor > config.toml
#   tar -czf %{name}-%{version}-cargo.tar.gz vendor/
#
Source1:        cbindgen-%{version}-cargo.tar.gz
Source2:        cargo_config
%global rustflags '-Clink-arg=-Wl,-z,relro,-z,now'
%global _description %{expand:
A tool for generating C bindings to Rust code.}
BuildRequires:  cargo
BuildRequires:  rust

%description %{_description}

%package     -n cbindgen
Summary:        %{summary}

%description -n cbindgen %{_description}

%files -n cbindgen
%license LICENSE
%doc README.md
%doc contributing.md
%doc docs.md
%doc internals.md
%{_bindir}/cbindgen

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}
This package contains library source intended for building other packages which
use the "cbindgen" crate.

%files devel
%license LICENSE
%doc README.md
%doc contributing.md
%doc docs.md
%doc internals.md

%package     -n %{name}-default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}-default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "cbindgen" crate.

%files -n %{name}-default-devel
%ghost /Cargo.toml

%package     -n %{name}-clap-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}-clap-devel %{_description}

This package contains library source intended for building other packages which
use the "clap" feature of the "cbindgen" crate.

%files -n %{name}-clap-devel
%ghost /Cargo.toml

%prep
%autosetup -n cbindgen-%{version_no_tilde} -p1
tar -xf %{SOURCE1}
install -D %{SOURCE2} .cargo/config

%build
RUSTFLAGS=%{rustflags} cargo build --release

%install
export RUSTFLAGS=%{rustflags}
cargo install --path . --root=%{buildroot}%{_prefix}
# remove residue crate file
rm -f %{buildroot}%{_prefix}/.crates*
%if %{with check}
%check
RUSTFLAGS=%{rustflags} cargo test --release
%endif

%changelog
* Fri Jun 13 2025 Kavya Sree Kaitepalli <kkaitepalli@microsoft.com> - 0.24.3-4
- Bump release to rebuild with rust

* Wed May 14 2025 Kavya Sree Kaitepalli <kkaitepalli@microsoft.com> - 0.24.3-3
- Bump release to rebuild with rust 1.86.0

* Mon Apr 21 2025 Kavya Sree Kaitepalli <kkaitepalli@microsoft.com> - 0.24.3-2
- Bump release to build with rust 1.85.0

* Mon Sep 25 2023 Shweta Bindal <shwetabindal@microsoft.com> - 0.24.3-1
- Initial CBL-Mariner import from Fedora 38 (license: MIT).
- License verified

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.17.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Mon Mar 29 2021 Fabio Valentini <decathorpe@gmail.com> - 0.17.0-1
- Update to version 0.17.0.

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.15.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Mon Dec 28 13:28:28 CET 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.15.0-2
- Rebuild

* Sun Nov 29 2020 Fabio Valentini <decathorpe@gmail.com> - 0.15.0-1
- Update to version 0.15.0.
- Fixes RHBZ#1885957

* Wed Sep 23 2020 Fabio Valentini <decathorpe@gmail.com> - 0.14.6-1
- Update to version 0.14.6.

* Wed Aug 26 2020 Josh Stone <jistone@redhat.com> - 0.14.4-1
- Update to 0.14.4

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.14.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Fri Jun 26 2020 Josh Stone <jistone@redhat.com> - 0.14.3-1
- Update to 0.14.3

* Tue May 05 2020 Josh Stone <cuviper@gmail.com> - 0.14.2-1
- Update to 0.14.2

* Fri Apr 17 2020 Josh Stone <jistone@redhat.com> - 0.14.1-1
- Update to 0.14.1

* Sun Mar 29 10:15:09 CEST 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.13.2-1
- Update to 0.13.2

* Thu Feb 27 2020 Josh Stone <jistone@redhat.com> - 0.13.1-1
- Update to 0.13.1

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.12.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Jan 16 2020 Josh Stone <jistone@redhat.com> - 0.12.2-1
- Update to 0.12.2

* Tue Dec 17 2019 Josh Stone <jistone@redhat.com> - 0.12.0-1
- Update to 0.12.0

* Sun Dec 15 13:00:19 CET 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.11.1-1
- Update to 0.11.1

* Fri Dec 06 10:45:49 CET 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.11.0-1
- Update to 0.11.0

* Fri Nov 15 2019 Josh Stone <jistone@redhat.com> - 0.9.1-1
- Update to 0.9.1

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Tue May 14 07:50:25 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.8.7-1
- Update to 0.8.7

* Tue May 07 14:58:53 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.8.6-1
- Update to 0.8.6

* Thu May 02 2019 Josh Stone <jistone@redhat.com> - 0.8.4-1
- Update to 0.8.4

* Tue Apr 02 2019 Josh Stone <jistone@redhat.com> - 0.8.3-1
- Update to 0.8.3

* Thu Mar 07 2019 Josh Stone <jistone@redhat.com> - 0.8.2-1
- Update to 0.8.2

* Thu Feb 21 2019 Josh Stone <jistone@redhat.com> - 0.8.0-1
- Update to 0.8.0

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sat Jan 26 2019 Josh Stone <jistone@redhat.com> - 0.7.1-1
- Update to 0.7.1

* Thu Jan 24 2019 Josh Stone <jistone@redhat.com> - 0.7.0-1
- Update to 0.7.0

* Mon Jan 07 2019 Josh Stone <jistone@redhat.com> - 0.6.8-1
- Update to 0.6.8

* Fri Nov 02 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.6.7-1
- Update to 0.6.7

* Mon Oct 22 2018 Josh Stone <jistone@redhat.com> - 0.6.6-1
- Update to 0.6.6

* Thu Oct 04 2018 Josh Stone <jistone@redhat.com> - 0.6.4-1
- Update to 0.6.4

* Sat Sep 15 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.6.3-2
- Add cbindgen back

* Wed Sep 05 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.6.3-1
- Update to 0.6.3

* Sat Jul 28 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.6.1-3
- Drop cbindgen executable

* Sat Jul 28 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.6.1-2
- Rebuild to trigger tests

* Thu Jul 26 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.6.1-1
- Update to 0.6.1

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Feb 01 2018 Josh Stone <jistone@redhat.com> - 0.4.3-1
- Update to 0.4.3

* Tue Jan 30 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.4.2-1
- Update to 0.4.2

* Mon Jan 08 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.4.0-2
- Rebuild for rust-packaging v5

* Fri Jan 05 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.4.0-1
- Update to 0.4.0

* Mon Jan 01 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.3.3-1
- Initial package
